<?php

	class Controller
	{
		static $copy;
	
		public $modx;
		public $options;
		
		public $view;
		public $content;

		public function __construct()
		{
			global $modx;
			
			self :: $copy = $this;
		
			$this->modx = $modx;
			$this->options = $this->getOptions();

			$this->view = new View();
			$this->content = array();
		}
		
		public function Run()
		{
			$install = ($this->options['yandex_app_id'] == '' || $this->options['yandex_app_secret'] == '' || $this->options['counter_id'] == '' || $this->options['login'] == '' || $this->options['password'] == '') ? true : false;

			$controller = (isset($_GET['controller']) && trim($_GET['controller']) != '' && trim($_GET['controller']) != 'authorize') ? 'Controller_' . ucfirst(trim($_GET['controller'])) : 'Controller_Main';
			
			$action = (isset($_GET['action']) && trim($_GET['action']) != '') ? 'action' . ucfirst(trim($_GET['action'])) : 'actionMain';
		
			if($install == true) $controller = 'Controller_Authorize';
			
			$pathway = ROOT . '/app/controllers/' . strtolower(str_replace('Controller_', '', $controller)) . '.php';
		
			if(file_exists($pathway) != true) exit('Error: File "' . $pathway . '" not exists!');
			
			require_once($pathway);

			if(class_exists($controller) != true) exit('Error: ' . $controller . ' not exists!');

			$controller = new $controller();

			if(method_exists($controller, $action) && is_callable(array($controller, $action))) $controller->{$action}();
		}
		
		public static function getOptions()
		{
			$way = ROOT . '/app/options.txt';
			
			$s = file_get_contents($way);
			
			if($s == '' || $s == 'null') $s = '{"yandex_app_id":"","yandex_app_secret":"","counter_id":"","login":"","password":"","webvisor":true,"clickmap":true,"tracklinks":true,"accurate_track":true}';
			
			$options = json_decode($s, true);

			return $options;
		}
		
		public static function setOptions($options)
		{
			$way = ROOT . '/app/options.txt';
			
			if(is_array($options) != true || count($options) == 0) $options = array('yandex_app_id' => '', 'yandex_app_secret' => '', 'counter_id' => '', 'login' => '', 'password' => '', 'webvisor' => true, 'clickmap' => true, 'tracklinks' => true, 'accurate_track' => true);
			
			file_put_contents($way, json_encode($options));

			return true;
		}

	}

?>