<?php

	class Controller_Main extends Controller
	{
	
		public $modx;
		public $options;
		
		public $view;
		public $content;
		
		public static $metrica_api;

		public function __construct()
		{
			parent :: __construct();

			self :: $metrica_api = new Metrika_Api($this->options);
		}
		
		public function actionMain()
		{
			$this->content['messages'] = array();
			$this->content['output'] = array();
			
			$this->content['pagetitle'] = 'Статистика';

			if(self :: $metrica_api->is_valid_counter($this->options['counter_id']) != true) $this->content['messages'][] = array('type' => 'error', 'message' => 'Ошибка: Пожалуйста, обратитесь к разработчику модуля!');

			if(count($this->content['messages']) == 0)
			{
				$period = isset($_POST['action']) && $_POST['action'] == 'main' && isset($_POST['period']) ? $_POST['period'] : 'weekly';
				
				$this->period = $this->set_period($period);
				
				$this->content['output']['period'] = $this->period;
				$this->content['output']['options'] = $this->options;
				
				$this->content['output']['statical_data'] = array_reverse(self :: $metrica_api->get_counter_statistics($this->options['counter_id'], $this->start_date, $this->end_date, 'data'));

				if(count($this->content['output']['statical_data']) > 0)
				{
					$this->content['output']['total_values'] = self :: $metrica_api->get_counter_statistics($this->options['counter_id'], $this->start_date, $this->end_date, 'totals');

					$this->content['output']['popular_posts'] = self :: $metrica_api->get_popular_content($this->options['counter_id'], $this->start_date, $this->end_date);

					$this->content['output']['top_referrers'] = self :: $metrica_api->get_referal_sites($this->options['counter_id'], $this->start_date, $this->end_date);

					$this->content['output']['top_searches']  = self :: $metrica_api->get_search_terms($this->options['counter_id'], $this->start_date, $this->end_date);
				}
				else
				{
					$this->content['messages'][] = array('type' => 'info', 'message' => 'Информация: За текущий период данные отсутствуют!');
				}
			}
			
			$this->view->generate('main/main', $this->content);
		}
		
		public function set_period($period = 'weekly')
		{
			switch($period)
			{
				case 'monthly' :
				
					$this->start_date = date( 'Ymd', strtotime('-1 month'));
					$this->end_date = date('Ymd');
					
				break;
				
				case 'weekly' :
				
					$this->start_date = date('Ymd', strtotime('-6 days'));
					$this->end_date = date('Ymd');
					
				break;
				
				case 'daily' :
				
					$this->start_date = date('Ymd');
					$this->end_date = date('Ymd');
					
				break;
			}

			return $this->period = $period;
		}

	}

?>