<?php if(count($content['messages']) > 0) echo '<p class="alert alert-' . $content['messages'][0]['type'] . '">' . $content['messages'][0]['message'] . '</p>'; ?>

<?php if(count($content['output']['statical_data']) > 0) : ?>

	<script type="text/javascript">

		jQuery(document).ready(function($) {

			$('#metrica-graph').highcharts({
				chart : {
					type: 'line'
				},
				title : {
					text: 'График посещений'
				},
				credits : {
					enabled: false
				},
				subtitle : {
					text: 'Источник: <?php echo Controller_Main :: $metrica_api->get_counter_name($content['output']['options']['counter_id']);?>'
				},
				xAxis : {
					type : 'datetime',
					categories: [
						<?php
						
							if($content['output']['period'] != 'monthly')
							{
								foreach($content['output']['statical_data'] as $item) echo '"' . date('D', strtotime($item['date'])) . '",';
							}
							else
							{
								foreach($content['output']['statical_data'] as $item) echo '"' . date('d M', strtotime($item['date'])) . '",';
							}
							
						?>
					]

				},
				yAxis   : {
					title: {
						text: 'Посещений'
					},
					min  : 0
				},
				tooltip : {

					formatter: function () {
						return '<b>' + this.series.name + '</b><br/>' +
								this.x + ': ' + this.y;
					}
				},
				series: [
					{
						name: 'Посещений',
						data: [
							<?php foreach($content['output']['statical_data'] as $item) echo $item['visits'] . ','; ?>
						]
					},
					{
						name: 'Посетителей',
						data: [
							<?php foreach($content['output']['statical_data'] as $item) echo $item['visitors'] . ','; ?>
						]
					}
				]
			});
		});

	</script>

	<form method="post">
		<input type="hidden" name="action" value="main"/>
		<div class="row">
			<select name="period">
				<option value="">Выберите период ...</option>
				<option <?php echo ($content['output']['period'] == 'daily') ? 'selected="selected"' : ''; ?> value="daily">За день</option>
				<option <?php echo ($content['output']['period'] == 'weekly') ? 'selected="selected"' : ''; ?> value="weekly">За неделю</option>
				<option <?php echo ($content['output']['period'] == 'monthly') ? 'selected="selected"' : ''; ?> value="monthly">За месяц</option>
			</select>
		</div>
	</form>

	<?php if(!empty($content['output']['total_values']['visits']) || !empty($content['output']['total_values']['visitors'])) : ?>
		<div id="metrica-graph" style="width:100%; height: 400px;"></div>
	<?php endif; ?>

	<div id="metrica-widget-data">
		<h3>Общая информация</h3>
		<table width="100%">
			<tr>
				<td width="20%">
					<b>Посещения:</b>
				</td>
				<td width="20%">
					<?php
					
						if(!empty($content['output']['total_values']['visits']))
						{
							echo $content['output']['total_values']['visits'];
						}
						else
						{
							echo 'Информация отсутствует';
						}
					
					?>
				</td>
				<td width="20%">
					<b>Новые посетители:</b>
				</td>
				<td width="20%">
					<?php
					
						if(!empty($content['output']['total_values']['new_visitors_perc']))
						{
							echo '%' . $content['output']['total_values']['new_visitors_perc'] * 100;
						}
						else
						{
							echo 'Информация отсутствует';
						}
					
					?>
				</td>

			</tr>

			<tr>
				<td>
					<b>Просмотры страниц:</b>
				</td>
				<td>
					<?php
					
						if(!empty($content['output']['total_values']['page_views']))
						{
							echo $content['output']['total_values']['page_views'];
						}
						else
						{
							echo 'Информация отсутствует';
						}
					
					?>
				</td>
				<td>
					<b>Глубина просмотра:</b>
				</td>
				<td>
					<?php
					
						if(!empty($content['output']['total_values']['depth']))
						{
							echo round($content['output']['total_values']['depth'], 1);
						}
						else
						{
							echo 'Информация отсутствует';
						}
					
					?>
				</td>

			</tr>

			<tr>
				<td>
					<b>Посетители:</b>
				</td>
				<td>
					<?php
					
						if(!empty( $content['output']['total_values']['visitors']))
						{
							echo $content['output']['total_values']['visitors'];
						}
						else
						{
							echo 'Информация отсутствует';
						}
					
					?>
				</td>
				<td>
					<b>Время на сайте:</b>
				</td>
				<td>
					<?php
					
						if(!empty($content['output']['total_values']['visit_time']))
						{
							echo gmdate('H:i:s', $content['output']['total_values']['visit_time']);
						}
						else
						{
							echo 'Информация отсутствует';
						}
					
					?>
				</td>

			</tr>

		</table>

		<div id="popular-posts">
			<h3>Популярные страницы</h3>
			<ol>
				<?php
				
					if(!empty($content['output']['popular_posts']['data']))
					{
						foreach($content['output']['popular_posts']['data'] as $post)
						{
							printf('<li><a href="' . $post['url'] . '">' . $post['url'] . '</a> - ' . $post['page_views'] . ' посещений</li>');
						}
					}
					else
					{
						echo 'Информация отсутствует';
					}

				?>
			</ol>
		</div>

		<div id="metrica-incoming">
			<div class="top-referrers">
				<h3>Источники посещений</h3>
				<ol>
					<?php
					
						if(!empty($content['output']['top_referrers']['data']))
						{
							foreach($content['output']['top_referrers']['data'] as $referrer)
							{
								printf( '<li><a href="' . $referrer['url'] . '">' . $referrer['url'] . '</a> - ' . $referrer['visits'] . ' посещений</li>');
							}
						}
						else
						{
							echo 'Информация отсутствует';

						}

					?>
				</ol>
			</div>
			<div class="top-searches">
				<h3>Поисковые запросы</h3>
				<ol>
					<?php
					
						if(!empty($content['output']['top_searches']['data']))
						{
							foreach($content['output']['top_searches']['data'] as $search_term)
							{
								printf( '<li><strong>' . $search_term['phrase'] . '</strong> - ' . $search_term['visits'] . ' посещений</li>');
							}
						}
						else
						{
							echo 'Информация отсутствует';
						}
					
					?>
				</ol>
			</div>
		</div>
	</div>

<?php endif; ?>